BINDER-LIST(1)

NAME
binder-list - list binder services

SYNOPSIS
binder-list [OPTION...] [SERVICE]

DESCRIPTION
binder-list queries the service manager on a binder device and prints the names of registered services. If SERVICE is given, only information for that service is shown.

By default, the query is performed synchronously; --async makes it asynchronous.

OPTIONS

-d, --device=DEVICE
    Binder device (default: /dev/hwbinder).

-a, --async
    Perform the service lookup asynchronously.

-v, --verbose
    Enable verbose output.

-q, --quiet
    Suppress non‑error messages.

-h, --help
    Show help options.

EXAMPLE
List all services on the default hardware binder device:

  binder-list

Check for a specific service on the framework binder:

  binder-list -d /dev/binder android.hardware.sensors@1.0::ISensors/default

SEE ALSO
binder-call(1), binder-ping(1), binder-bridge(1)

Project repository: https://github.com/mer-hybris/libgbinder